Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 187781 - Copyrights in samples
Copyrights in samples
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Project
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Thomas Preisler
issues@cnd
69patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-18 12:01 UTC by Alexander Pepin
Modified: 2010-07-09 22:12 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Pepin 2010-06-18 12:01:02 UTC
The samples provided with IDE contains "Copyright (c) 2009, Sun Microsystems, Inc.". They should be updated according AtenRebrandingList.
Comment 1 Thomas Preisler 2010-06-20 14:43:17 UTC
The copyrights should *not* be updated according to the AtenRebrandingList. The AtenRebrandingList is for software from OSS and is mainly proprietary whereas the samples referred to here are from the open source NetBeans. We should use whatever copyright is appropriate for NetBeans samples.

So the question is which  copyrights should we use? I checked many different sample projects in NetBeans 6.9 like Java, JavaFX and others, and we are all using the same (slightly outdated) copyright. Not clear if it should be updated and to what. If we update, the rest of Netbeans should probably follow suit. Will need to investigate what we should do.
Comment 2 Thomas Preisler 2010-06-20 15:27:48 UTC
Marking it SSIDE as it may be a showstopper for Aten.
Comment 3 rbalada 2010-06-22 07:49:43 UTC
Please report on progress, especially if you can make it into 6.9.1, if not please consider removing 6.9.1_CANDIDATE keyword.

Thanks,
-R
Comment 4 Thomas Preisler 2010-06-22 09:21:34 UTC
Will fix this later today. I think I have the new text ready.
Comment 5 Thomas Preisler 2010-06-22 15:32:18 UTC
Fixed:

comparing with https://thp:***@hg.netbeans.org/cnd-main
searching for changes
changeset:   173340:f4570418720d
user:        Thomas Preisler <thp@netbeans.org>
date:        Tue Jun 22 19:28:38 2010 +0400
summary:     #187781 - Copyrights in samples
Comment 6 Quality Engineering 2010-06-23 03:28:48 UTC
Integrated into 'main-golden', will be available in build *201006230001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/f4570418720d
User: Thomas Preisler <thp@netbeans.org>
Log: #187781 - Copyrights in samples
Comment 7 rbalada 2010-06-23 22:31:13 UTC
Please verify bugfix for this bug ASAP, so it can be integrated into release691
repository.

Thanks,
-R
Comment 8 Alexander Pepin 2010-06-24 13:22:55 UTC
Makefile in ProfilingDemo sample does not contain copyrights.
Comment 9 Thomas Preisler 2010-06-24 14:10:57 UTC
Fixed:

comparing with https://thp:***@hg.netbeans.org/cnd-main
searching for changes
changeset:   173484:1eac9caa0138
tag:         tip
user:        Thomas Preisler <thp@netbeans.org>
date:        Thu Jun 24 18:09:52 2010 +0400
summary:     #187781 Copyrights in samples
Comment 10 Quality Engineering 2010-06-25 03:15:59 UTC
Integrated into 'main-golden', will be available in build *201006250001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/1eac9caa0138
User: Thomas Preisler <thp@netbeans.org>
Log: #187781 Copyrights in samples
Comment 11 rbalada 2010-06-25 06:16:32 UTC
Last chance for inclusion in release691.

Please verify within 4 hours from now, since I have got limited time to transplant remaining bugfixes into release691 repository. June 25, 1 PM Prague time is my deadline. After that time, please do also the transplant/porting work if you want to include it.

Thank you for understanding,
-R
Comment 12 Thomas Preisler 2010-06-25 06:52:05 UTC
I'm not sure Aleander P. has access to bugzilla today due to offsite event so here is what I wil suggest:

All incorrect copyrights were fixed in the first change set. This first change set was also verified by QA (Alexander) so it (the first change set) can be ported safely to 6.9.1.

Alexandder also suggested to add missing copyright to one more file. This is not a critical fix and may not be required so it is not critical to include the second change set. 

So I suggest you port first change set (f4570418720d) to 6.9.1 and we should be fine.

If you are comfortable with it, you can also port second change set (1eac9caa0138) but it is not critical.
Comment 13 soldatov 2010-06-25 08:32:03 UTC
I will see
Comment 14 soldatov 2010-06-25 09:17:12 UTC
Verified. All files has copyright and all projects can be built
Comment 15 rbalada 2010-06-25 21:29:27 UTC
main #f4570418720d transplanted to release691 #008c64fb8509
main #1eac9caa0138 transplanted to release691 #b5b9ab7eb8f0
Comment 16 Thomas Preisler 2010-06-26 06:49:47 UTC
Thanks.
Comment 17 Alexander Pepin 2010-07-07 14:04:05 UTC
verified in 6.9.1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo